Index: INSTALL.md
===================================================================
--- INSTALL.md	(revision 50b202f04de774aad15c1fc9b51579590f311b6d)
+++ INSTALL.md	(revision 6221a58c7c319c90937385e5a6474a9f47cf6797)
@@ -2,140 +2,107 @@
 ========================
 
-Thank you for trying TSPSG. This document will guide you through the
-steps necessary to compile and run TSPSG.
-
-TABLE OF CONTENTS:
-
-  1. REQUIREMENTS
-  2. ASSUMPTIONS
-  3. SUPPORTED PLATFORMS
-  4. BUILDING AND INSTALLATION
-     4.1. COMMON INFORMATION
-     4.2. GENERAL PROCEDURE
-     4.3. LINUX/UNIX/BSD
-     4.4. WINDOWS
-          4.4.1. USING MINGW
-          4.4.2. USING VISUAL STUDIO
-     4.5. WINDOWS MOBILE
-     4.6. SYMBIAN
-     4.7. OTHER PLATFORMS, SUPPORTED BY QT
-  5. UNINSTALLATION
-  6. TROUBLESHOOTING
-     6.1. WINDRES.EXE CRASH
-  7. NOTES
-  8. REFERENCES
-
-
-
-1. REQUIREMENTS
+Thank you for trying **TSPSG**. This document will guide you through the
+steps necessary to compile and run **TSPSG**.
+
+
+1. Requirements
 ---------------
 
-To be able compile TSPSG you need to have Qt libraries. The minimum
-supported version of Qt is 4.5.0. The recommended version is 4.6.x
-or higher.
-
-NOTE: Please, note that there will be some regressions in functionality
-if your version of \em Qt is lower than the recommended.
-
-
-
-2. ASSUMPTIONS
+To be able compile **TSPSG** you need to have
+*[Qt libraries](http://qt-project.org/)*. The minimum supported version
+of *Qt* is **4.5.0**. The recommended version is **4.6.x** or higher.
+
+**NOTE**: Please, note that there will be some regressions in
+functionality if your version of *Qt* is lower than the recommended.
+
+
+2. Assumptions
 --------------
 
-This guide assumes that you already have Qt libraries and all necessary
-prerequisites installed.
+This guide assumes that you already have *Qt* libraries and all
+necessary prerequisites installed.
 
 Also, the following assumptions are made:
 
-  - For Linux/UNIX: lrelease and qmake are avilable in $PATH.
-
-  - For Windows (minGW) and Symbian: you have installed Qt SDK or
-    prebuilt libraries and have Start Menu items for Qt tools.
-
-  - For Windows (Visual Studio) and Windows Mobile: the Qt libraries
-    reside in C:\Qt\.
-
-  - For Windows Mobile: Windows Mobile 5.0 Pocket PC SDK or later is
-    installed.
-
-
-
-3. SUPPORTED PLATFORMS
+  - For **Linux/UNIX/BSD**: `lrelease` and `qmake` are avilable in
+    `$PATH`.
+  - For **Windows** (*MinGW*) and **Symbian**: you have installed *Qt
+    SDK* or prebuilt libraries and have Start Menu items for Qt tools.
+  - For **Windows** (*Visual Studio*) and **Windows Mobile**: the *Qt*
+    libraries reside in `C:\Qt\`.
+  - For **Windows Mobile**: *Windows Mobile 5.0 Pocket PC SDK* or later
+    is installed.
+
+
+3. Supported Platforms
 ----------------------
 
-TSPSG is oficially supported and tested on the following platforms:
-
-  - Linux: Gentoo AMD64 and Kubuntu 9.10 64-bit AMD.
-
-  - Windows: Windows XP 32-bit and Windows 7 64-bit.
-
-  - Windows Mobile: Windows Mobile 6.5 Professional Edition.
-
-
-
-4. BUILDING AND INSTALLATION
+**TSPSG** is oficially supported and tested on the following platforms:
+
+  - **Linux**: *Gentoo AMD64* and *Kubuntu 9.10 64-bit AMD*.
+  - **Windows**: *Windows XP 32-bit* and *Windows 7 64-bit*.
+  - **Windows Mobile**: *Windows Mobile 6.5 Professional Edition*.
+
+
+4. Building and Installation
 ----------------------------
 
-### 4.1. COMMON INFORMATION ###
-
-To be able ot build TSPSG you need to have the following Qt modules:
-QtCore, QtGui and QtSvg. The first two are required, the last one is
-optional. To get support for additional image formats (i.e., JPEG and
-TIFF) you'll additionally need corresponding Qt imageformats plugins.
-
-If you want to build TSPSG without SVG support add nosvg to qmake
-CONFIG parameter, so that qmake command will typically be:
+### 4.1. Common Information ###
+
+To be able ot build **TSPSG** you need to have the following *Qt*
+modules: *QtCore*, *QtGui* and *QtSvg*. The first two are required, the
+last one is optional. To get support for additional image formats (i.e.,
+**JPEG** and **TIFF**) you'll additionally need corresponding *Qt
+imageformats* plugins.
+
+If you want to build **TSPSG** without **SVG** support add `nosvg` to
+*qmake* `CONFIG` parameter, so that *qmake* command will typically be:
 
     qmake CONFIG+=release CONFIG+=nosvg
 
-This way you will not depend on QtSvg module but will not be able to
-export solution graph in SVG format.
-
-
-TSPSG uses qmake PREFIX parameter to determine installation path for
-make install command. If you don't specify it when running qmake, it
+This way you will not depend on *QtSvg* module but will not be able to
+export solution graph in **SVG** format.
+
+
+**TSPSG** uses *qmake* `PREFIX` parameter to determine installation path
+for make install command. If you don't specify it when running qmake, it
 will be assigned the default value depending on the platform:
 
- Platform          | Default PREFIX value
--------------------|-------------------------------------
- Linux/UNIX/BSD    | /usr
--------------------|-------------------------------------
- Windows           | %PROGRAMFILES% environment variable
-                   | (usually, it is "C:\Program Files")
--------------------|-------------------------------------
- Windows CE/Mobile | "\Program Files"
--------------------|-------------------------------------
- Symbian           | <ignored>
--------------------|-------------------------------------
-
-NOTE: Please, note that there are no installation and/or packaging
-rules for MacOS and other platforms not mentioned in this table.
-
-
-By default, TSPSG uses precompiled header when being built. If you
-experience problems with it you may add CONFIG+=nopch parameter to
-qmake to disable the generation and use of the precompiled header.
-
-
-### 4.2. GENERAL PROCEDURE ###
+| Platform              | Default `PREFIX` value                  |
+|-----------------------|-----------------------------------------|
+| **Linux/UNIX/BSD**    | `/usr`                                  |
+| **Windows**           | `%PROGRAMFILES%` environment variable\* |
+| **Windows CE/Mobile** | `\Program Files`                        |
+| **Symbian**           | *\<ignored\>*                           |
+
+\* - usually, it is `C:\Program Files`.
+
+**NOTE**: Please, note that there are no installation and/or packaging
+rules for **MacOS** and other platforms not mentioned in this table.
+
+
+By default, **TSPSG** uses precompiled header when being built. If you
+experience problems with it you may add `CONFIG+=nopch` parameter to
+*qmake* to disable the generation and use of the precompiled header.
+
+
+### 4.2. General Procedure ###
 
 On most platforms the general building and installation procedure is:
 
-  1. Run lrelease to generate binary translation files (.qm) from the
-     source (.ts).
-
-  2. Run qmake with CONFIG+=release parameter to generate makefiles.
-
-  3. Run make utility (e.g., make, nmake, mingw32-make) to build TSPSG.
-
-  4. Run make utility with 'install' parameter (without quotes).
-
-NOTE: It is important to run lrelease before qmake, or qmake will not
-"pick up" the translations when generating installation rules.
-
-
-### 4.3. LINUX/UNIX/BSD ###
-
-Open a shell, navigate to the directory where you have TSPSG source
+  1. Run `lrelease` to generate binary translation files (*.qm*) from
+     the source (*.ts*).
+  2. Run `qmake` with `CONFIG+=release` parameter to generate makefiles.
+  3. Run `make` utility (e.g., *make*, *nmake*, *mingw32-make*) to build
+     **TSPSG**.
+  4. Run `make` utility with `install` parameter.
+
+NOTE: It is important to run `lrelease` before `qmake`, or `qmake` will
+not "pick up" the translations when generating installation rules.
+
+
+### 4.3. Linux/UNIX/BSD ###
+
+Open a shell, navigate to the directory where you have **TSPSG** source
 downloaded and type
 
@@ -143,5 +110,5 @@
     cd tspsg-<VERSION>-src
 
-where <VERSION> is the version of TSPSG you downloaded. Now run
+where *\<VERSION\>* is the version of **TSPSG** you downloaded. Now run
 
     lrelease tspsg.pro
@@ -165,9 +132,9 @@
 depending on your distribution.
 
-The executable goes to <PREFIX>/bin; COPYING, ChangeLog.txt, README.txt
-and INSTALL.txt go to <PREFIX>/share/doc/TSPSG-<VERSION>.
-
-
-### 4.4. WINDOWS ###
+The executable goes to `<PREFIX>/bin`; *COPYING*, *ChangeLog.md*,
+*README.md* and *INSTALL.md* go to `<PREFIX>/share/doc/TSPSG-<VERSION>`.
+
+
+### 4.4. Windows ###
 
 TSPSG will be installed to <PREFIX>\TSPSG folder.
@@ -176,5 +143,5 @@
 
 
-#### 4.4.1. USING MINGW ####
+#### 4.4.1. Using MinGW ####
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -194,5 +161,5 @@
 
 
-#### 4.4.2. USING VISUAL STUDIO ####
+#### 4.4.2. Using Visual Studio ####
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -210,5 +177,5 @@
 
 
-### 4.5. WINDOWS CE/MOBILE ###
+### 4.5. Windows CE/Mobile ###
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -240,5 +207,5 @@
 
 
-### 4.6. SYMBIAN ###
+### 4.6. Symbian ###
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -280,5 +247,5 @@
 
 
-### 4.7. OTHER PLATFORMS, SUPPORTED BY QT ###
+### 4.7. Other Platforms, Supported by Qt ###
 
 While TSPSG is oficially supported only on Linux, Windows and Windows
@@ -289,5 +256,5 @@
 
 
-5. UNINSTALLATION
+5. Uninstallation
 -----------------
 
@@ -298,9 +265,9 @@
 
 
-6. TROUBLESHOOTING
+6. Troubleshooting
 ------------------
 
 
-### 6.1. WINDRES.EXE CRASH ###
+### 6.1. WINDRES.EXE Crash ###
 
 When building under Windows using minGW toolchain make process may fail
@@ -327,5 +294,5 @@
 
 
-7. NOTES
+7. Notes
 --------
 
@@ -337,5 +304,5 @@
 
 
-8. REFERNECES
+8. References
 -------------
 
@@ -344,4 +311,6 @@
 
 
+<!--
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
+-->