Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 83e07f71943ded5ff0ce9c8ef71e47f2c930c49f)
+++ src/settingsdialog.cpp	(revision 6652ac66a43565ed48903483a7291335138a7086)
@@ -80,5 +80,5 @@
     hbox->addSpacing(10);
     hbox->addWidget(cbHQGraph);
-    box->insertLayout(box->indexOf(cbGenerateGraph) + 2, hbox);
+    box->insertLayout(box->indexOf(cbGenerateGraph) + 3, hbox);
     connect(cbGenerateGraph, SIGNAL(toggled(bool)), cbHQGraph, SLOT(setEnabled(bool)));
 #endif
@@ -268,8 +268,6 @@
     cbGenerateGraph->setChecked(settings->value("GenerateGraph", DEF_GENERATE_GRAPH).toBool());
 
-#ifndef QT_NO_PRINTER
-    cbHQGraph->setEnabled(cbGenerateGraph->isChecked());
-    cbHQGraph->setChecked(settings->value("HQGraph", DEF_HQ_GRAPH).toBool());
-#endif
+    spinGraphWidth->setEnabled(cbGenerateGraph->isChecked());
+    spinGraphWidth->setValue(settings->value("GraphWidth", DEF_GRAPH_WIDTH).toDouble());
 
 #if !defined(NOSVG) && (QT_VERSION >= QT_VERSION_CHECK(4,5,0))
@@ -291,6 +289,13 @@
     labelGraphImageFormat->setEnabled(cbGenerateGraph->isChecked());
     comboGraphImageFormat->setEnabled(cbGenerateGraph->isChecked());
+
+#ifndef QT_NO_PRINTER
+    cbHQGraph->setEnabled(cbGenerateGraph->isChecked());
+    cbHQGraph->setChecked(settings->value("HQGraph", DEF_HQ_GRAPH).toBool());
+#endif
+
+    labelGraphWidth->setEnabled(cbGenerateGraph->isChecked());
+    cbEmbedGraphIntoHTML->setEnabled(cbGenerateGraph->isChecked());
     cbEmbedGraphIntoHTML->setChecked(settings->value("EmbedGraphIntoHTML", DEF_EMBED_GRAPH_INTO_HTML).toBool());
-    cbEmbedGraphIntoHTML->setEnabled(cbGenerateGraph->isChecked());
 
     cbShowMatrix->setChecked(settings->value("ShowMatrix", DEF_SHOW_MATRIX).toBool());
@@ -406,7 +411,5 @@
     settings->setValue("GenerateGraph", cbGenerateGraph->isChecked());
     if (cbGenerateGraph->isChecked()) {
-#ifndef QT_NO_PRINTER
-        settings->setValue("HQGraph", cbHQGraph->isChecked());
-#endif
+        settings->setValue("GraphWidth", spinGraphWidth->value());
         if (cbGenerateGraph->isChecked()) {
             if (comboGraphImageFormat->currentIndex() >= 0)
@@ -415,4 +418,7 @@
                 settings->setValue("GraphImageFormat", DEF_GRAPH_IMAGE_FORMAT);
         }
+#ifndef QT_NO_PRINTER
+        settings->setValue("HQGraph", cbHQGraph->isChecked());
+#endif
         settings->setValue("EmbedGraphIntoHTML", cbEmbedGraphIntoHTML->isChecked());
     }
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 83e07f71943ded5ff0ce9c8ef71e47f2c930c49f)
+++ ui/settingsdialog.ui	(revision 6652ac66a43565ed48903483a7291335138a7086)
@@ -320,10 +320,7 @@
             </item>
             <item>
-             <layout class="QHBoxLayout" name="_10">
-              <property name="spacing">
-               <number>5</number>
-              </property>
-              <item>
-               <spacer name="spacer_7">
+             <layout class="QHBoxLayout" name="_16">
+              <item>
+               <spacer name="spacer_10">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
@@ -341,7 +338,10 @@
               </item>
               <item>
-               <widget class="QLabel" name="labelGraphImageFormat">
+               <widget class="QLabel" name="labelGraphWidth">
+                <property name="statusTip">
+                 <string>Defines width of graph in solution output</string>
+                </property>
                 <property name="text">
-                 <string>Save solution graph as</string>
+                 <string>Solution graph width:</string>
                 </property>
                 <property name="buddy">
@@ -351,15 +351,27 @@
               </item>
               <item>
-               <widget class="QComboBox" name="comboGraphImageFormat">
+               <widget class="QDoubleSpinBox" name="spinGraphWidth">
                 <property name="cursor">
                  <cursorShape>PointingHandCursor</cursorShape>
                 </property>
                 <property name="statusTip">
-                 <string>What image format to use for graph when saving solution as HTML</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="spacer_11">
+                 <string>Defines width of graph in solution output</string>
+                </property>
+                <property name="suffix">
+                 <string> cm</string>
+                </property>
+                <property name="minimum">
+                 <double>2.250000000000000</double>
+                </property>
+                <property name="maximum">
+                 <double>18.000000000000000</double>
+                </property>
+                <property name="singleStep">
+                 <double>0.100000000000000</double>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <spacer name="spacer_12">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
@@ -376,7 +388,7 @@
             </item>
             <item>
-             <layout class="QHBoxLayout" name="_14">
-              <item>
-               <spacer name="spacer_8">
+             <layout class="QHBoxLayout" name="_10">
+              <item>
+               <spacer name="spacer_7">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
@@ -394,4 +406,60 @@
               </item>
               <item>
+               <widget class="QLabel" name="labelGraphImageFormat">
+                <property name="statusTip">
+                 <string>What image format to use for graph when saving solution as HTML</string>
+                </property>
+                <property name="text">
+                 <string>Save solution graph as</string>
+                </property>
+                <property name="buddy">
+                 <cstring>comboGraphImageFormat</cstring>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <widget class="QComboBox" name="comboGraphImageFormat">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>What image format to use for graph when saving solution as HTML</string>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <spacer name="spacer_11">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>1</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+             </layout>
+            </item>
+            <item>
+             <layout class="QHBoxLayout" name="_14">
+              <item>
+               <spacer name="spacer_8">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeType">
+                 <enum>QSizePolicy::Fixed</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>10</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item>
                <widget class="QCheckBox" name="cbEmbedGraphIntoHTML">
                 <property name="cursor">
@@ -423,7 +491,4 @@
             <item>
              <layout class="QHBoxLayout" name="_12">
-              <property name="spacing">
-               <number>0</number>
-              </property>
               <item>
                <spacer name="spacer_3">
@@ -936,4 +1001,36 @@
    </hints>
   </connection>
+  <connection>
+   <sender>cbGenerateGraph</sender>
+   <signal>toggled(bool)</signal>
+   <receiver>labelGraphWidth</receiver>
+   <slot>setEnabled(bool)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>157</x>
+     <y>84</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>100</x>
+     <y>147</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>cbGenerateGraph</sender>
+   <signal>toggled(bool)</signal>
+   <receiver>spinGraphWidth</receiver>
+   <slot>setEnabled(bool)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>157</x>
+     <y>84</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>212</x>
+     <y>147</y>
+    </hint>
+   </hints>
+  </connection>
  </connections>
 </ui>