Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 003e4193be7b61fbc0e0f0060b58c118e31e33be)
+++ ui/mainwindow.ui	(revision 7836f136eb739229ce105d3b2eebace1c397be21)
@@ -6,6 +6,6 @@
     <x>0</x>
     <y>0</y>
-    <width>506</width>
-    <height>396</height>
+    <width>640</width>
+    <height>480</height>
    </rect>
   </property>
@@ -31,5 +31,5 @@
       <widget class="QWidget" name="tabTask" >
        <attribute name="title" >
-        <string>Задание</string>
+        <string>Задача</string>
        </attribute>
        <layout class="QVBoxLayout" >
@@ -64,4 +64,7 @@
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
+            <property name="statusTip" >
+             <string>Номер варианта</string>
+            </property>
             <property name="minimum" >
              <number>1</number>
@@ -83,4 +86,7 @@
             <property name="cursor" >
              <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip" >
+             <string>Количество городов, которые обходит окммивояжер</string>
             </property>
             <property name="minimum" >
@@ -112,4 +118,7 @@
         <item>
          <widget class="QTableWidget" name="tableTask" >
+          <property name="statusTip" >
+           <string>Стоимости переходов/переездов из города в город</string>
+          </property>
           <property name="selectionMode" >
            <enum>QAbstractItemView::NoSelection</enum>
@@ -183,5 +192,5 @@
       <widget class="QWidget" name="tabSolution" >
        <attribute name="title" >
-        <string>Результат</string>
+        <string>Решение</string>
        </attribute>
        <layout class="QVBoxLayout" >
@@ -199,4 +208,7 @@
              </sizepolicy>
             </property>
+            <property name="statusTip" >
+             <string>Ход решения</string>
+            </property>
             <property name="readOnly" >
              <bool>true</bool>
@@ -205,5 +217,9 @@
           </item>
           <item>
-           <widget class="QGraphicsView" name="graphicsView" />
+           <widget class="QGraphicsView" name="graphicsView" >
+            <property name="statusTip" >
+             <string>Граф решения</string>
+            </property>
+           </widget>
           </item>
          </layout>
@@ -220,5 +236,5 @@
      <x>0</x>
      <y>0</y>
-     <width>506</width>
+     <width>640</width>
      <height>21</height>
     </rect>
@@ -232,4 +248,7 @@
     </property>
     <widget class="QMenu" name="menuFileSave" >
+     <property name="statusTip" >
+      <string/>
+     </property>
      <property name="title" >
       <string>Со&amp;хранить</string>
@@ -238,7 +257,9 @@
       <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
      </property>
-     <addaction name="actionFileSaveResults" />
-     <addaction name="actionFileSaveGraph" />
-     <addaction name="actionFileSaveAll" />
+     <addaction name="actionFileSaveTask" />
+     <addaction name="separator" />
+     <addaction name="actionFileSaveResultAll" />
+     <addaction name="actionFileSaveResultMatrices" />
+     <addaction name="actionFileSaveResultGraph" />
     </widget>
     <addaction name="actionFileNew" />
@@ -288,7 +309,6 @@
    </attribute>
    <addaction name="actionFileNew" />
-   <addaction name="separator" />
-   <addaction name="actionFileSaveAll" />
    <addaction name="actionFileOpen" />
+   <addaction name="actionFileSaveTask" />
    <addaction name="separator" />
    <addaction name="actionFilePrint" />
@@ -304,6 +324,12 @@
     <string>&amp;Настройка печати</string>
    </property>
+   <property name="statusTip" >
+    <string>Настроить принтер для печати</string>
+   </property>
   </action>
   <action name="actionFilePrint" >
+   <property name="enabled" >
+    <bool>false</bool>
+   </property>
    <property name="icon" >
     <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Print.png</iconset>
@@ -311,4 +337,7 @@
    <property name="text" >
     <string>&amp;Печать...</string>
+   </property>
+   <property name="statusTip" >
+    <string>Распечатать результаты решения</string>
    </property>
    <property name="shortcut" >
@@ -316,20 +345,35 @@
    </property>
   </action>
-  <action name="actionFileSaveResults" >
+  <action name="actionFileSaveResultMatrices" >
+   <property name="enabled" >
+    <bool>false</bool>
+   </property>
    <property name="text" >
     <string>&amp;Ход решения</string>
    </property>
-  </action>
-  <action name="actionFileSaveGraph" >
+   <property name="statusTip" >
+    <string>Сохранить только хоод решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveResultGraph" >
+   <property name="enabled" >
+    <bool>false</bool>
+   </property>
    <property name="text" >
     <string>&amp;Граф решения</string>
    </property>
-  </action>
-  <action name="actionFileSaveAll" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
-   </property>
-   <property name="text" >
-    <string>Сохранить &amp;все</string>
+   <property name="statusTip" >
+    <string>Сохранить только граф решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveResultAll" >
+   <property name="enabled" >
+    <bool>false</bool>
+   </property>
+   <property name="text" >
+    <string>&amp;Решение</string>
+   </property>
+   <property name="statusTip" >
+    <string>Сохранить ход и граф решения</string>
    </property>
    <property name="shortcut" >
@@ -344,4 +388,7 @@
     <string>&amp;Создать</string>
    </property>
+   <property name="statusTip" >
+    <string>Создать новую задачу</string>
+   </property>
    <property name="shortcut" >
     <string>Ctrl+N</string>
@@ -355,4 +402,10 @@
     <string>&amp;Открыть</string>
    </property>
+   <property name="toolTip" >
+    <string>Открыть задачу</string>
+   </property>
+   <property name="statusTip" >
+    <string>Открыть сохраненное условие задачи</string>
+   </property>
    <property name="shortcut" >
     <string>Ctrl+O</string>
@@ -366,4 +419,7 @@
     <string>&amp;Параметры</string>
    </property>
+   <property name="statusTip" >
+    <string>Настройка параметров программмы</string>
+   </property>
   </action>
   <action name="actionHelpContents" >
@@ -374,4 +430,7 @@
     <string>&amp;Содежание</string>
    </property>
+   <property name="statusTip" >
+    <string>Вызвать справку по программе</string>
+   </property>
   </action>
   <action name="actionHelpContextual" >
@@ -382,4 +441,7 @@
     <string>&amp;Контекстная справка</string>
    </property>
+   <property name="statusTip" >
+    <string>Вызвать контекстную справку</string>
+   </property>
   </action>
   <action name="actionHelpAbout" >
@@ -400,4 +462,24 @@
    <property name="statusTip" >
     <string>Выйти из программы</string>
+   </property>
+  </action>
+  <action name="actionFileSaveTask" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Задачу</string>
+   </property>
+   <property name="iconText" >
+    <string>Сохранить</string>
+   </property>
+   <property name="toolTip" >
+    <string>Сохранить задачу</string>
+   </property>
+   <property name="statusTip" >
+    <string>Сохранить условие задачи в файл</string>
+   </property>
+   <property name="shortcut" >
+    <string>Ctrl+S</string>
    </property>
   </action>
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 003e4193be7b61fbc0e0f0060b58c118e31e33be)
+++ ui/settingsdialog.ui	(revision 7836f136eb739229ce105d3b2eebace1c397be21)
@@ -6,6 +6,6 @@
     <x>0</x>
     <y>0</y>
-    <width>436</width>
-    <height>172</height>
+    <width>440</width>
+    <height>176</height>
    </rect>
   </property>
@@ -182,4 +182,7 @@
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
+                 <property name="statusTip" >
+                  <string>Нижняя граница для генерации случайных значений</string>
+                 </property>
                  <property name="maximum" >
                   <number>1000</number>
@@ -214,4 +217,7 @@
                  <property name="cursor" >
                   <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="statusTip" >
+                  <string>Верхняя граница для генерации случайных значений</string>
                  </property>
                  <property name="minimum" >
@@ -254,4 +260,7 @@
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
+                 <property name="statusTip" >
+                  <string>Размер отступа от левого края страницы</string>
+                 </property>
                  <property name="maximum" >
                   <number>999</number>
@@ -271,4 +280,7 @@
                <property name="cursor" >
                 <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip" >
+                <string>Задать параметры шрифта, используемого при печати</string>
                </property>
                <property name="text" >
@@ -290,4 +302,7 @@
            <cursorShape>PointingHandCursor</cursorShape>
           </property>
+          <property name="statusTip" >
+           <string>Открывать окно в том же положении и с теми же размерами, с какими оно было закрыто</string>
+          </property>
           <property name="text" >
            <string>Сохранять состояние и положение главного окна</string>
@@ -342,5 +357,5 @@
        </property>
        <property name="toolTip" >
-        <string>Помощь</string>
+        <string>Справка</string>
        </property>
        <property name="statusTip" >
@@ -366,6 +381,12 @@
         </sizepolicy>
        </property>
-       <property name="text" >
-        <string>Подсказка</string>
+       <property name="minimumSize" >
+        <size>
+         <width>235</width>
+         <height>30</height>
+        </size>
+       </property>
+       <property name="statusTip" >
+        <string>Наведите указателем мыши на требуемый элемент диалога, чтоб получить подсказку</string>
        </property>
        <property name="textFormat" >
@@ -373,5 +394,5 @@
        </property>
        <property name="alignment" >
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+        <set>Qt::AlignJustify|Qt::AlignVCenter</set>
        </property>
        <property name="wordWrap" >
@@ -385,4 +406,7 @@
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
+       <property name="statusTip" >
+        <string>Сохранить новые параметры</string>
+       </property>
        <property name="text" >
         <string>&amp;OK</string>
@@ -400,4 +424,7 @@
        <property name="cursor" >
         <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="statusTip" >
+        <string>Закрыть окно без сохранения параметров</string>
        </property>
        <property name="text" >