Index: docs/html/search/all_7a.html
===================================================================
--- docs/html/search/all_7a.html	(revision 8af59c4aa389691fe923a5215d4be599c4087ff5)
+++ docs/html/search/all_7a.html	(revision 11086c2defca72c6721801934a247d69d28aedcf)
@@ -8,7 +8,31 @@
 <div id="SRIndex">
 <div class="SRStatus" id="Loading">Loading...</div>
+<div class="SRResult" id="SR_z">
+ <div class="SREntry">
+  <a id="Item0" onkeydown="return searchResults.Nav(event,0)" onkeypress="return searchResults.Nav(event,0)" onkeyup="return searchResults.Nav(event,0)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_z')">z</a>
+  <div class="SRChildren">
+    <a id="Item0_c0" onkeydown="return searchResults.NavChild(event,0,0)" onkeypress="return searchResults.NavChild(event,0,0)" onkeyup="return searchResults.NavChild(event,0,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3canvasitem.html#z" target="_parent">Q3CanvasItem::z()</a>
+    <a id="Item0_c1" onkeydown="return searchResults.NavChild(event,0,1)" onkeypress="return searchResults.NavChild(event,0,1)" onkeyup="return searchResults.NavChild(event,0,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qquaternion.html#z" target="_parent">QQuaternion::z()</a>
+    <a id="Item0_c2" onkeydown="return searchResults.NavChild(event,0,2)" onkeypress="return searchResults.NavChild(event,0,2)" onkeyup="return searchResults.NavChild(event,0,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtabletevent.html#z" target="_parent">QTabletEvent::z()</a>
+    <a id="Item0_c3" onkeydown="return searchResults.NavChild(event,0,3)" onkeypress="return searchResults.NavChild(event,0,3)" onkeyup="return searchResults.NavChild(event,0,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qvector3d.html#z" target="_parent">QVector3D::z()</a>
+    <a id="Item0_c4" onkeydown="return searchResults.NavChild(event,0,4)" onkeypress="return searchResults.NavChild(event,0,4)" onkeyup="return searchResults.NavChild(event,0,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qvector4d.html#z" target="_parent">QVector4D::z()</a>
+  </div>
+ </div>
+</div>
+<div class="SRResult" id="SR_zchanged">
+ <div class="SREntry">
+  <a id="Item1" onkeydown="return searchResults.Nav(event,1)" onkeypress="return searchResults.Nav(event,1)" onkeyup="return searchResults.Nav(event,1)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsobject.html#zChanged" target="_parent">zChanged</a>
+  <span class="SRScope">QGraphicsObject</span>
+ </div>
+</div>
+<div class="SRResult" id="SR_zerodigit">
+ <div class="SREntry">
+  <a id="Item2" onkeydown="return searchResults.Nav(event,2)" onkeypress="return searchResults.Nav(event,2)" onkeyup="return searchResults.Nav(event,2)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlocale.html#zeroDigit" target="_parent">zeroDigit</a>
+  <span class="SRScope">QLocale</span>
+ </div>
+</div>
 <div class="SRResult" id="SR_zkt">
  <div class="SREntry">
-  <a id="Item0" onkeydown="return searchResults.Nav(event,0)" onkeypress="return searchResults.Nav(event,0)" onkeyup="return searchResults.Nav(event,0)" class="SRSymbol" href="../globals_8h.html#a437bcbf6414d33f7a885a4507c1b9940" target="_parent">ZKT</a>
+  <a id="Item3" onkeydown="return searchResults.Nav(event,3)" onkeypress="return searchResults.Nav(event,3)" onkeyup="return searchResults.Nav(event,3)" class="SRSymbol" href="../globals_8h.html#a437bcbf6414d33f7a885a4507c1b9940" target="_parent">ZKT</a>
   <span class="SRScope">globals.h</span>
  </div>
@@ -16,6 +40,52 @@
 <div class="SRResult" id="SR_zkt_5fversion">
  <div class="SREntry">
-  <a id="Item1" onkeydown="return searchResults.Nav(event,1)" onkeypress="return searchResults.Nav(event,1)" onkeyup="return searchResults.Nav(event,1)" class="SRSymbol" href="../globals_8h.html#ab6d630d0a03e4e53fceb0567653ca629" target="_parent">ZKT_VERSION</a>
+  <a id="Item4" onkeydown="return searchResults.Nav(event,4)" onkeypress="return searchResults.Nav(event,4)" onkeyup="return searchResults.Nav(event,4)" class="SRSymbol" href="../globals_8h.html#ab6d630d0a03e4e53fceb0567653ca629" target="_parent">ZKT_VERSION</a>
   <span class="SRScope">globals.h</span>
+ </div>
+</div>
+<div class="SRResult" id="SR_zoomfactor">
+ <div class="SREntry">
+  <a id="Item5" onkeydown="return searchResults.Nav(event,5)" onkeypress="return searchResults.Nav(event,5)" onkeyup="return searchResults.Nav(event,5)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprintpreviewwidget.html#zoomFactor" target="_parent">zoomFactor</a>
+  <span class="SRScope">QPrintPreviewWidget</span>
+ </div>
+</div>
+<div class="SRResult" id="SR_zoomin">
+ <div class="SREntry">
+  <a id="Item6" onkeydown="return searchResults.Nav(event,6)" onkeypress="return searchResults.Nav(event,6)" onkeyup="return searchResults.Nav(event,6)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_zoomin')">zoomIn</a>
+  <div class="SRChildren">
+    <a id="Item6_c0" onkeydown="return searchResults.NavChild(event,6,0)" onkeypress="return searchResults.NavChild(event,6,0)" onkeyup="return searchResults.NavChild(event,6,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#zoomIn" target="_parent">Q3TextEdit::zoomIn(int range)</a>
+    <a id="Item6_c1" onkeydown="return searchResults.NavChild(event,6,1)" onkeypress="return searchResults.NavChild(event,6,1)" onkeyup="return searchResults.NavChild(event,6,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#zoomIn-2" target="_parent">Q3TextEdit::zoomIn()</a>
+    <a id="Item6_c2" onkeydown="return searchResults.NavChild(event,6,2)" onkeypress="return searchResults.NavChild(event,6,2)" onkeyup="return searchResults.NavChild(event,6,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprintpreviewwidget.html#zoomIn" target="_parent">QPrintPreviewWidget::zoomIn()</a>
+    <a id="Item6_c3" onkeydown="return searchResults.NavChild(event,6,3)" onkeypress="return searchResults.NavChild(event,6,3)" onkeyup="return searchResults.NavChild(event,6,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextedit.html#zoomIn" target="_parent">QTextEdit::zoomIn()</a>
+  </div>
+ </div>
+</div>
+<div class="SRResult" id="SR_zoommode">
+ <div class="SREntry">
+  <a id="Item7" onkeydown="return searchResults.Nav(event,7)" onkeypress="return searchResults.Nav(event,7)" onkeyup="return searchResults.Nav(event,7)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprintpreviewwidget.html#zoomMode" target="_parent">zoomMode</a>
+  <span class="SRScope">QPrintPreviewWidget</span>
+ </div>
+</div>
+<div class="SRResult" id="SR_zoomout">
+ <div class="SREntry">
+  <a id="Item8" onkeydown="return searchResults.Nav(event,8)" onkeypress="return searchResults.Nav(event,8)" onkeyup="return searchResults.Nav(event,8)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_zoomout')">zoomOut</a>
+  <div class="SRChildren">
+    <a id="Item8_c0" onkeydown="return searchResults.NavChild(event,8,0)" onkeypress="return searchResults.NavChild(event,8,0)" onkeyup="return searchResults.NavChild(event,8,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#zoomOut" target="_parent">Q3TextEdit::zoomOut(int range)</a>
+    <a id="Item8_c1" onkeydown="return searchResults.NavChild(event,8,1)" onkeypress="return searchResults.NavChild(event,8,1)" onkeyup="return searchResults.NavChild(event,8,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#zoomOut-2" target="_parent">Q3TextEdit::zoomOut()</a>
+    <a id="Item8_c2" onkeydown="return searchResults.NavChild(event,8,2)" onkeypress="return searchResults.NavChild(event,8,2)" onkeyup="return searchResults.NavChild(event,8,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprintpreviewwidget.html#zoomOut" target="_parent">QPrintPreviewWidget::zoomOut()</a>
+    <a id="Item8_c3" onkeydown="return searchResults.NavChild(event,8,3)" onkeypress="return searchResults.NavChild(event,8,3)" onkeyup="return searchResults.NavChild(event,8,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextedit.html#zoomOut" target="_parent">QTextEdit::zoomOut()</a>
+  </div>
+ </div>
+</div>
+<div class="SRResult" id="SR_zoomto">
+ <div class="SREntry">
+  <a id="Item9" onkeydown="return searchResults.Nav(event,9)" onkeypress="return searchResults.Nav(event,9)" onkeyup="return searchResults.Nav(event,9)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#zoomTo" target="_parent">zoomTo</a>
+  <span class="SRScope">Q3TextEdit</span>
+ </div>
+</div>
+<div class="SRResult" id="SR_zvalue">
+ <div class="SREntry">
+  <a id="Item10" onkeydown="return searchResults.Nav(event,10)" onkeypress="return searchResults.Nav(event,10)" onkeyup="return searchResults.Nav(event,10)" class="SRSymbol" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsitem.html#zValue" target="_parent">zValue</a>
+  <span class="SRScope">QGraphicsItem</span>
  </div>
 </div>