Index: ui/mainwindow.ce.ui
===================================================================
--- ui/mainwindow.ce.ui	(revision 0621172ec1360a6a41b41eeb54570f123e8abd61)
+++ ui/mainwindow.ce.ui	(revision 78282ec7786f95d6a1d029983aee0fb13363fae5)
@@ -3,4 +3,7 @@
  <class>MainWindow</class>
  <widget class="QMainWindow" name="MainWindow">
+  <property name="enabled">
+   <bool>true</bool>
+  </property>
   <property name="geometry">
    <rect>
@@ -12,5 +15,5 @@
   </property>
   <property name="windowTitle">
-   <string>Задача коммивояжера</string>
+   <string>Travelling salesman problem</string>
   </property>
   <property name="windowIcon">
@@ -51,5 +54,5 @@
     <widget class="QWidget" name="tabTask">
      <attribute name="title">
-      <string>Задача</string>
+      <string>Task</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout">
@@ -72,5 +75,5 @@
          <widget class="QLabel" name="labelVariant">
           <property name="text">
-           <string>&amp;Вариант:</string>
+           <string>&amp;Variant:</string>
           </property>
           <property name="buddy">
@@ -85,5 +88,5 @@
           </property>
           <property name="statusTip">
-           <string>Номер варианта</string>
+           <string>Number of variant</string>
           </property>
           <property name="minimum">
@@ -95,5 +98,5 @@
          <widget class="QLabel" name="labelCities">
           <property name="text">
-           <string>&amp;Городов:</string>
+           <string>&amp;Cities:</string>
           </property>
           <property name="buddy">
@@ -108,5 +111,5 @@
           </property>
           <property name="statusTip">
-           <string>Количество городов, которые обходит коммивояжер</string>
+           <string>Number of cities</string>
           </property>
           <property name="minimum">
@@ -139,5 +142,5 @@
        <widget class="QTableView" name="taskView">
         <property name="statusTip">
-         <string>Стоимости переходов/переездов из города в город</string>
+         <string>Cost of travel from city to city</string>
         </property>
         <property name="selectionMode">
@@ -167,8 +170,8 @@
           </property>
           <property name="statusTip">
-           <string>Заполнить таблицу случайными значениями</string>
+           <string>Fill table with random numbers</string>
           </property>
           <property name="text">
-           <string>Случайно</string>
+           <string>Random</string>
           </property>
          </widget>
@@ -180,8 +183,8 @@
           </property>
           <property name="statusTip">
-           <string>Решить текущую задачу</string>
+           <string>Solve current task</string>
           </property>
           <property name="text">
-           <string>Решить</string>
+           <string>Solve</string>
           </property>
           <property name="icon">
@@ -197,5 +200,5 @@
     <widget class="QWidget" name="tabSolution">
      <attribute name="title">
-      <string>Решение</string>
+      <string>Solution</string>
      </attribute>
      <layout class="QVBoxLayout" name="_4">
@@ -214,5 +217,5 @@
           </property>
           <property name="statusTip">
-           <string>Ход решения</string>
+           <string>Solution steps</string>
           </property>
           <property name="readOnly">
@@ -224,5 +227,5 @@
          <widget class="QGraphicsView" name="graphicsView">
           <property name="statusTip">
-           <string>Граф решения</string>
+           <string>Solution graph</string>
           </property>
          </widget>
@@ -250,5 +253,5 @@
     </property>
     <property name="title">
-     <string>&amp;Файл</string>
+     <string>&amp;File</string>
     </property>
     <widget class="QMenu" name="menuFileSave">
@@ -257,5 +260,5 @@
      </property>
      <property name="title">
-      <string>Со&amp;хранить</string>
+      <string>&amp;Save</string>
      </property>
      <property name="icon">
@@ -277,5 +280,5 @@
    <widget class="QMenu" name="menuSettings">
     <property name="title">
-     <string>&amp;Настройки</string>
+     <string>&amp;Settings</string>
     </property>
     <addaction name="actionSettingsSettings"/>
@@ -283,5 +286,5 @@
    <widget class="QMenu" name="menuHelp">
     <property name="title">
-     <string>&amp;Помощь</string>
+     <string>&amp;Help</string>
     </property>
     <addaction name="actionHelpContents"/>
@@ -323,8 +326,11 @@
    </property>
    <property name="text">
-    <string>&amp;Ход решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только хоод решения</string>
+    <string>Solution st&amp;eps</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution steps</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps only</string>
    </property>
   </action>
@@ -334,8 +340,11 @@
    </property>
    <property name="text">
-    <string>&amp;Граф решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только граф решения</string>
+    <string>Solution &amp;graph</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution graph</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution graph only</string>
    </property>
   </action>
@@ -345,8 +354,11 @@
    </property>
    <property name="text">
-    <string>&amp;Решение</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить ход и граф решения</string>
+    <string>&amp;Solution</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps and graph</string>
    </property>
   </action>
@@ -357,8 +369,14 @@
    </property>
    <property name="text">
-    <string>&amp;Создать</string>
-   </property>
-   <property name="statusTip">
-    <string>Создать новую задачу</string>
+    <string>&amp;New</string>
+   </property>
+   <property name="iconText">
+    <string>New</string>
+   </property>
+   <property name="toolTip">
+    <string>New task</string>
+   </property>
+   <property name="statusTip">
+    <string>Create new task</string>
    </property>
    <property name="shortcut">
@@ -367,4 +385,7 @@
   </action>
   <action name="actionFileOpen">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -372,11 +393,14 @@
    </property>
    <property name="text">
-    <string>&amp;Открыть</string>
+    <string>&amp;Open...</string>
+   </property>
+   <property name="iconText">
+    <string>Open...</string>
    </property>
    <property name="toolTip">
-    <string>Открыть задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Открыть сохраненное условие задачи</string>
+    <string>Open task</string>
+   </property>
+   <property name="statusTip">
+    <string>Open saved task</string>
    </property>
    <property name="shortcut">
@@ -390,11 +414,17 @@
    </property>
    <property name="text">
-    <string>&amp;Параметры</string>
-   </property>
-   <property name="statusTip">
-    <string>Настройка параметров программмы</string>
+    <string>&amp;Preferences...</string>
+   </property>
+   <property name="iconText">
+    <string>Preferences...</string>
+   </property>
+   <property name="statusTip">
+    <string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -402,11 +432,14 @@
    </property>
    <property name="text">
-    <string>&amp;Содежание</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать справку по программе</string>
+    <string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+    <string>Open help contents</string>
    </property>
   </action>
   <action name="actionHelpContextual">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -414,8 +447,8 @@
    </property>
    <property name="text">
-    <string>&amp;Контекстная справка</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать контекстную справку</string>
+    <string>&amp;Context help</string>
+   </property>
+   <property name="statusTip">
+    <string>Open context help</string>
    </property>
   </action>
@@ -426,8 +459,11 @@
    </property>
    <property name="text">
-    <string>&amp;Про...</string>
-   </property>
-   <property name="statusTip">
-    <string>Получить информацию о программе</string>
+    <string>&amp;About...</string>
+   </property>
+   <property name="iconText">
+    <string>About...</string>
+   </property>
+   <property name="statusTip">
+    <string>About application</string>
    </property>
   </action>
@@ -438,11 +474,14 @@
    </property>
    <property name="text">
-    <string>В&amp;ыход</string>
-   </property>
-   <property name="statusTip">
-    <string>Выйти из программы</string>
+    <string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+    <string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveTask">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -450,14 +489,14 @@
    </property>
    <property name="text">
-    <string>&amp;Задачу</string>
+    <string>&amp;Task...</string>
    </property>
    <property name="iconText">
-    <string>Сохранить</string>
+    <string>Task...</string>
    </property>
    <property name="toolTip">
-    <string>Сохранить задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить условие задачи в файл</string>
+    <string>Save task</string>
+   </property>
+   <property name="statusTip">
+    <string>Save task to file</string>
    </property>
    <property name="shortcut">
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 0621172ec1360a6a41b41eeb54570f123e8abd61)
+++ ui/mainwindow.ui	(revision 78282ec7786f95d6a1d029983aee0fb13363fae5)
@@ -12,5 +12,5 @@
   </property>
   <property name="windowTitle">
-   <string>Задача коммивояжера</string>
+   <string>Travelling salesman problem</string>
   </property>
   <property name="windowIcon">
@@ -33,5 +33,5 @@
       <widget class="QWidget" name="tabTask">
        <attribute name="title">
-        <string>Задача</string>
+        <string>Task</string>
        </attribute>
        <layout class="QVBoxLayout">
@@ -54,5 +54,5 @@
            <widget class="QLabel" name="labelVariant">
             <property name="text">
-             <string>&amp;Вариант:</string>
+             <string>&amp;Variant:</string>
             </property>
             <property name="buddy">
@@ -67,5 +67,5 @@
             </property>
             <property name="statusTip">
-             <string>Номер варианта</string>
+             <string>Number of variant</string>
             </property>
             <property name="minimum">
@@ -77,5 +77,5 @@
            <widget class="QLabel" name="labelCities">
             <property name="text">
-             <string>&amp;Городов:</string>
+             <string>&amp;Cities:</string>
             </property>
             <property name="buddy">
@@ -90,5 +90,5 @@
             </property>
             <property name="statusTip">
-             <string>Количество городов, которые обходит коммивояжер</string>
+             <string>Number of cities</string>
             </property>
             <property name="minimum">
@@ -121,5 +121,5 @@
          <widget class="QTableView" name="taskView">
           <property name="statusTip">
-           <string>Стоимости переходов/переездов из города в город</string>
+           <string>Cost of travel from city to city</string>
           </property>
           <property name="selectionMode">
@@ -149,8 +149,8 @@
             </property>
             <property name="statusTip">
-             <string>Заполнить таблицу случайными значениями</string>
+             <string>Fill table with random numbers</string>
             </property>
             <property name="text">
-             <string>Случайно</string>
+             <string>Random</string>
             </property>
            </widget>
@@ -162,8 +162,8 @@
             </property>
             <property name="statusTip">
-             <string>Решить текущую задачу</string>
+             <string>Solve current task</string>
             </property>
             <property name="text">
-             <string>Решить</string>
+             <string>Solve</string>
             </property>
             <property name="icon">
@@ -179,5 +179,5 @@
       <widget class="QWidget" name="tabSolution">
        <attribute name="title">
-        <string>Решение</string>
+        <string>Solution</string>
        </attribute>
        <layout class="QVBoxLayout">
@@ -196,5 +196,5 @@
             </property>
             <property name="statusTip">
-             <string>Ход решения</string>
+             <string>Solution steps</string>
             </property>
             <property name="readOnly">
@@ -206,5 +206,5 @@
            <widget class="QGraphicsView" name="graphicsView">
             <property name="statusTip">
-             <string>Граф решения</string>
+             <string>Solution graph</string>
             </property>
            </widget>
@@ -234,5 +234,5 @@
     </property>
     <property name="title">
-     <string>&amp;Файл</string>
+     <string>&amp;File</string>
     </property>
     <widget class="QMenu" name="menuFileSave">
@@ -241,5 +241,5 @@
      </property>
      <property name="title">
-      <string>Со&amp;хранить</string>
+      <string>&amp;Save</string>
      </property>
      <property name="icon">
@@ -264,5 +264,5 @@
    <widget class="QMenu" name="menuSettings">
     <property name="title">
-     <string>&amp;Настройки</string>
+     <string>&amp;Settings</string>
     </property>
     <addaction name="actionSettingsSettings"/>
@@ -270,5 +270,5 @@
    <widget class="QMenu" name="menuHelp">
     <property name="title">
-     <string>&amp;Помощь</string>
+     <string>&amp;Help</string>
     </property>
     <addaction name="actionHelpContents"/>
@@ -313,8 +313,8 @@
    </property>
    <property name="text">
-    <string>&amp;Настройка печати</string>
-   </property>
-   <property name="statusTip">
-    <string>Настроить принтер для печати</string>
+    <string>P&amp;rint setup...</string>
+   </property>
+   <property name="statusTip">
+    <string>Setup printing</string>
    </property>
   </action>
@@ -328,8 +328,8 @@
    </property>
    <property name="text">
-    <string>&amp;Печать...</string>
-   </property>
-   <property name="statusTip">
-    <string>Распечатать результаты решения</string>
+    <string>&amp;Print...</string>
+   </property>
+   <property name="statusTip">
+    <string>Print solution results</string>
    </property>
    <property name="shortcut">
@@ -342,8 +342,11 @@
    </property>
    <property name="text">
-    <string>&amp;Ход решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только хоод решения</string>
+    <string>Solution st&amp;eps</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution steps</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps only</string>
    </property>
   </action>
@@ -353,8 +356,11 @@
    </property>
    <property name="text">
-    <string>&amp;Граф решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только граф решения</string>
+    <string>Solution &amp;graph</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution graph</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution graph only</string>
    </property>
   </action>
@@ -364,8 +370,11 @@
    </property>
    <property name="text">
-    <string>&amp;Решение</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить ход и граф решения</string>
+    <string>&amp;Solution</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps and graph</string>
    </property>
   </action>
@@ -376,8 +385,14 @@
    </property>
    <property name="text">
-    <string>&amp;Создать</string>
-   </property>
-   <property name="statusTip">
-    <string>Создать новую задачу</string>
+    <string>&amp;New</string>
+   </property>
+   <property name="iconText">
+    <string>New</string>
+   </property>
+   <property name="toolTip">
+    <string>New task</string>
+   </property>
+   <property name="statusTip">
+    <string>Create new task</string>
    </property>
    <property name="shortcut">
@@ -386,4 +401,7 @@
   </action>
   <action name="actionFileOpen">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -391,11 +409,14 @@
    </property>
    <property name="text">
-    <string>&amp;Открыть</string>
+    <string>&amp;Open...</string>
+   </property>
+   <property name="iconText">
+    <string>Open...</string>
    </property>
    <property name="toolTip">
-    <string>Открыть задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Открыть сохраненное условие задачи</string>
+    <string>Open task</string>
+   </property>
+   <property name="statusTip">
+    <string>Open saved task</string>
    </property>
    <property name="shortcut">
@@ -409,11 +430,17 @@
    </property>
    <property name="text">
-    <string>&amp;Параметры</string>
-   </property>
-   <property name="statusTip">
-    <string>Настройка параметров программмы</string>
+    <string>&amp;Preferences...</string>
+   </property>
+   <property name="iconText">
+    <string>Preferences...</string>
+   </property>
+   <property name="statusTip">
+    <string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -421,11 +448,14 @@
    </property>
    <property name="text">
-    <string>&amp;Содежание</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать справку по программе</string>
+    <string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+    <string>Open help contents</string>
    </property>
   </action>
   <action name="actionHelpContextual">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -433,8 +463,8 @@
    </property>
    <property name="text">
-    <string>&amp;Контекстная справка</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать контекстную справку</string>
+    <string>&amp;Context help</string>
+   </property>
+   <property name="statusTip">
+    <string>Open context help</string>
    </property>
   </action>
@@ -445,8 +475,11 @@
    </property>
    <property name="text">
-    <string>&amp;Про...</string>
-   </property>
-   <property name="statusTip">
-    <string>Получить информацию о программе</string>
+    <string>&amp;About...</string>
+   </property>
+   <property name="iconText">
+    <string>About...</string>
+   </property>
+   <property name="statusTip">
+    <string>About application</string>
    </property>
   </action>
@@ -457,11 +490,14 @@
    </property>
    <property name="text">
-    <string>В&amp;ыход</string>
-   </property>
-   <property name="statusTip">
-    <string>Выйти из программы</string>
+    <string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+    <string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveTask">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -469,14 +505,14 @@
    </property>
    <property name="text">
-    <string>&amp;Задачу</string>
+    <string>&amp;Task...</string>
    </property>
    <property name="iconText">
-    <string>Сохранить</string>
+    <string>Task...</string>
    </property>
    <property name="toolTip">
-    <string>Сохранить задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить условие задачи в файл</string>
+    <string>Save task</string>
+   </property>
+   <property name="statusTip">
+    <string>Save task to file</string>
    </property>
    <property name="shortcut">
Index: ui/settingsdialog.ce.ui
===================================================================
--- ui/settingsdialog.ce.ui	(revision 0621172ec1360a6a41b41eeb54570f123e8abd61)
+++ ui/settingsdialog.ce.ui	(revision 78282ec7786f95d6a1d029983aee0fb13363fae5)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>214</width>
-    <height>207</height>
+    <width>235</width>
+    <height>190</height>
    </rect>
   </property>
   <property name="windowTitle">
-   <string>Параметры</string>
+   <string>Preferences</string>
   </property>
   <property name="windowIcon">
@@ -98,9 +98,9 @@
        <widget class="QGroupBox" name="groupRandomSettings">
         <property name="title">
-         <string>Случайные значения:</string>
+         <string>Random values:</string>
         </property>
-        <layout class="QVBoxLayout">
+        <layout class="QVBoxLayout" name="_5">
          <item>
-          <layout class="QHBoxLayout">
+          <layout class="QHBoxLayout" name="_6">
            <item>
             <widget class="QLabel" name="labelRandMin">
@@ -112,5 +112,5 @@
              </property>
              <property name="text">
-              <string>Ми&amp;нимум:</string>
+              <string>&amp;Minimal:</string>
              </property>
              <property name="buddy">
@@ -125,5 +125,5 @@
              </property>
              <property name="statusTip">
-              <string>Нижняя граница для генерации случайных значений</string>
+              <string>Minimum for random number generation</string>
              </property>
              <property name="maximum">
@@ -138,5 +138,5 @@
          </item>
          <item>
-          <layout class="QHBoxLayout">
+          <layout class="QHBoxLayout" name="_7">
            <item>
             <widget class="QLabel" name="labelRandMax">
@@ -148,5 +148,5 @@
              </property>
              <property name="text">
-              <string>&amp;Максимум:</string>
+              <string>Ma&amp;ximal:</string>
              </property>
              <property name="buddy">
@@ -161,5 +161,5 @@
              </property>
              <property name="statusTip">
-              <string>Верхняя граница для генерации случайных значений</string>
+              <string>Maximum for random number generation</string>
              </property>
              <property name="minimum">
@@ -196,9 +196,12 @@
         <item>
          <widget class="QPushButton" name="buttonColor">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
           <property name="statusTip">
-           <string>Задать цвет шрифта, используемого при печати</string>
+           <string>Font color for printing</string>
           </property>
           <property name="text">
-           <string>&amp;Цвет...</string>
+           <string>&amp;Color...</string>
           </property>
           <property name="icon">
@@ -214,8 +217,8 @@
           </property>
           <property name="statusTip">
-           <string>Задать параметры шрифта, используемого при печати</string>
+           <string>Font face for printing</string>
           </property>
           <property name="text">
-           <string>&amp;Шрифт...</string>
+           <string>&amp;Font...</string>
           </property>
           <property name="icon">
@@ -274,16 +277,19 @@
      </property>
      <item>
-      <widget class="QToolButton" name="toolButton">
+      <widget class="QToolButton" name="buttonHelp">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
        <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
        <property name="toolTip">
-        <string>Справка</string>
+        <string>Help</string>
        </property>
        <property name="statusTip">
-        <string>Получить помощь по настройкам</string>
+        <string>Get preferences help</string>
        </property>
        <property name="text">
-        <string>Помощь</string>
+        <string>Help</string>
        </property>
        <property name="icon">
@@ -315,5 +321,5 @@
        </property>
        <property name="statusTip">
-        <string>Сохранить новые параметры</string>
+        <string>Save new preferences</string>
        </property>
        <property name="text">
@@ -335,8 +341,8 @@
        </property>
        <property name="statusTip">
-        <string>Закрыть окно без сохранения параметров</string>
+        <string>Close without saving preferences</string>
        </property>
        <property name="text">
-        <string>&amp;Отмена</string>
+        <string>&amp;Cancel</string>
        </property>
        <property name="icon">
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 0621172ec1360a6a41b41eeb54570f123e8abd61)
+++ ui/settingsdialog.ui	(revision 78282ec7786f95d6a1d029983aee0fb13363fae5)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>498</width>
-    <height>188</height>
+    <width>448</width>
+    <height>174</height>
    </rect>
   </property>
   <property name="windowTitle">
-   <string>Параметры</string>
+   <string>Preferences</string>
   </property>
   <property name="windowIcon">
@@ -149,5 +149,5 @@
            <widget class="QGroupBox" name="groupRandomSettings">
             <property name="title">
-             <string>Случайные значения:</string>
+             <string>Random values:</string>
             </property>
             <layout class="QVBoxLayout">
@@ -163,5 +163,5 @@
                  </property>
                  <property name="text">
-                  <string>Ми&amp;нимум:</string>
+                  <string>&amp;Minimal:</string>
                  </property>
                  <property name="buddy">
@@ -176,5 +176,5 @@
                  </property>
                  <property name="statusTip">
-                  <string>Нижняя граница для генерации случайных значений</string>
+                  <string>Minimum for random number generation</string>
                  </property>
                  <property name="maximum">
@@ -199,5 +199,5 @@
                  </property>
                  <property name="text">
-                  <string>&amp;Максимум:</string>
+                  <string>Ma&amp;ximal:</string>
                  </property>
                  <property name="buddy">
@@ -212,5 +212,5 @@
                  </property>
                  <property name="statusTip">
-                  <string>Верхняя граница для генерации случайных значений</string>
+                  <string>Maximum for random number generation</string>
                  </property>
                  <property name="minimum">
@@ -233,5 +233,5 @@
            <widget class="QGroupBox" name="groupPrintSetup">
             <property name="title">
-             <string>Настройки печати:</string>
+             <string>Print settings:</string>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout">
@@ -247,5 +247,5 @@
                  </property>
                  <property name="text">
-                  <string>&amp;Левый отступ:</string>
+                  <string>&amp;Left margin:</string>
                  </property>
                  <property name="buddy">
@@ -260,5 +260,5 @@
                  </property>
                  <property name="statusTip">
-                  <string>Размер отступа от левого края страницы</string>
+                  <string>Left border margin for page</string>
                  </property>
                  <property name="maximum">
@@ -286,8 +286,8 @@
                  </property>
                  <property name="statusTip">
-                  <string>Задать цвет шрифта, используемого при печати</string>
+                  <string>Font color for printing</string>
                  </property>
                  <property name="text">
-                  <string>&amp;Цвет...</string>
+                  <string>&amp;Color...</string>
                  </property>
                  <property name="icon">
@@ -303,8 +303,8 @@
                  </property>
                  <property name="statusTip">
-                  <string>Задать параметры шрифта, используемого при печати</string>
+                  <string>Font face for printing</string>
                  </property>
                  <property name="text">
-                  <string>&amp;Шрифт...</string>
+                  <string>&amp;Font...</string>
                  </property>
                  <property name="icon">
@@ -327,8 +327,8 @@
           </property>
           <property name="statusTip">
-           <string>Восстанавливать состояние и размеры окна после перезапуска программы</string>
+           <string>Restore main window state and position on application restart</string>
           </property>
           <property name="text">
-           <string>Сохранять состояние и положение главного окна</string>
+           <string>Save main window state and position</string>
           </property>
          </widget>
@@ -367,16 +367,19 @@
      </property>
      <item>
-      <widget class="QToolButton" name="toolButton">
+      <widget class="QToolButton" name="buttonHelp">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
        <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
        <property name="toolTip">
-        <string>Справка</string>
+        <string>Help</string>
        </property>
        <property name="statusTip">
-        <string>Получить помощь по настройкам</string>
+        <string>Get preferences help</string>
        </property>
        <property name="text">
-        <string>Помощь</string>
+        <string>Help</string>
        </property>
        <property name="icon">
@@ -398,5 +401,5 @@
        </property>
        <property name="statusTip">
-        <string>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</string>
+        <string>Hover mouse pointer over dialog elements to get additional help</string>
        </property>
        <property name="text">
@@ -420,5 +423,5 @@
        </property>
        <property name="statusTip">
-        <string>Сохранить новые параметры</string>
+        <string>Save new preferences</string>
        </property>
        <property name="text">
@@ -440,8 +443,8 @@
        </property>
        <property name="statusTip">
-        <string>Закрыть окно без сохранения параметров</string>
+        <string>Close without saving preferences</string>
        </property>
        <property name="text">
-        <string>&amp;Отмена</string>
+        <string>&amp;Cancel</string>
        </property>
        <property name="icon">